package org.bench4q.share.models.master.plugin;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class ParamInfoModel {

	private String name;
	private String label;
	private String required;

	private String value;
	private ParamTypeModel paramTypeModel;

	@XmlElement
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@XmlElement
	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}
	
	
	@XmlElement
	public String getRequired() {
		return required;
	}

	public void setRequired(String required) {
		this.required = required;
	}

	@XmlElements({ @XmlElement(name = "field", type = FieldModel.class),
			@XmlElement(name = "table", type = TableModel.class),
			@XmlElement(name = "checkbox", type = CheckBoxModel.class),
			@XmlElement(name = "nfield", type = NFieldModel.class),
			@XmlElement(name = "combo", type = ComboModel.class),
			@XmlElement(name = "radio", type = RadioButtonModel.class),
			@XmlElement(name = "file", type = FileModel.class),
			@XmlElement(name = "select", type = SelectModel.class),
			@XmlElement(name = "date", type = DateModel.class) })
	public ParamTypeModel getParamTypeModel() {
		return paramTypeModel;
	}

	public void setParamTypeModel(ParamTypeModel paramTypeModel) {
		this.paramTypeModel = paramTypeModel;
	}

	@XmlElement
	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

}
